reducers-3.12.1: Semigroups, specialized containers and a general map/reduce framework

Copyright | (c) Edward Kmett 2009-2011
License | BSD-style
Maintainer | ekmett@gmail.com
Stability | experimental
Portability | non-portable (MPTCs)
Safe Haskell | Trustworthy
Language | Haskell98

Data.Semigroup.Alternative

Description

A semigroup for working with `Alternative` `Functor`s.

Synopsis

- newtype Alternate f a = Alternate {
  - getAlternate :: f a
  }

# Documentation

newtype Alternate f a Source

A `Alternate` turns any `Alternative` instance into a `Monoid`.

Constructors

Alternate |

Fields

getAlternate :: f a

Instances

Functor f => Functor (Alternate f) Source |
Applicative f => Applicative (Alternate f) Source |
Alternative f => Alternative (Alternate f) Source |
Alternative f => Reducer (f a) (Alternate f a) Source |
Alternative f => Monoid (Alternate f a) Source |
Alternative f => Semigroup (Alternate f a) Source |